Changes/New Features in 5.14:
        * ESS[BUGS/JAGS]:  Batch BUGS is back!  For recent OpenBUGS
          versions, 3.0.8+, a batch BUGS script is once again available,
          but for Linux only.  Therefore, since it seems that BUGS and
          JAGS must co-exist (rather than a transition from BUGS to
          JAGS), .bug files are now in ESS[BUGS] mode and .jag files
          are in ESS[JAGS] mode.  ESS[BUGS] now works like ESS[JAGS]
          rather than the original mode ESS[BUGS] mode which was
          difficult to maintain.  Although, ESS[BUGS] appears to work,
          there still may be some features missing as well as bugs.

        * ESS[R]: New customizable variable `ess-swv-plug-into-AUCTeX-p'
          Commands to Sweave current file and LaTeX the result are now
          available to AUCTeX users, if this variable is set to `t'.

        * ESS[S]: `C-c C-c' (`ess-eval-function-or-paragraph-and-step')
          is now skipping over comments as the other paragraph
          functions do.  It (and similar functions) should no longer
          wrongly find `function()' beginnings inside comments or
          strings.

        * ESS[SAS]: improved by better support for GNU Emacs

     Changes/New Features in 5.13:
        * ESS[R]: On Windows, for R 2.12.0 and later, the Rterm
          executables  (in subdirectories i386 / x64) now are found as
          well as for earlier R versions.

        * ESS[S+]: on Windows, both 32- and 64-bit versions of S+
          ("S-PLUS")  are found now and made available on the menu.

        * ESS[R]: When prompting for a starting directory, the R
          version is  (always?) correct now.

        * ESS[R]: on non-Windows platforms, the `use-dialog-box'
          variable is no longer temporarily changed (to `nil' for
          R-x.y.z version  functions and to `t' for `R' itself), but
          rather the user  customization is obeyed.

        * ESS[R]: more Roxygen improvements.

        * `Rd-preview-help' now generates preview buffers with
          navigation facilities the same as regular help buffers.

        * ESS: New functions and keys C-c [up] / [down]  for evaluating
          the buffer "from beginning till here".

     Changes/New Features in 5.12:
        * ESS[SAS] Font-locking:  update of PROCs keywords (up to SAS
          9.22); error/warnings.

        * ESS[R]: Roxygen improvements: S4 classes;  also optionally
          keep spaces when filling arguments

        * ESS[Rd]: support new keywords:  section-name \subsection plus
          a dozen "new" keywords; should match R  2.12.x now.

        * `ess-display-help-on-object' (`C-c C-v')  now _caches_ the
          list of topics, thus speeding up the improvement  feature
          introduced in 5.9.

     Changes/New Features in 5.11:
        * Filename completion within buffers now adds only trailing
          characters to complete the filename, rather than expanding to
          an absolute file path.  This filename completion is bound to
          the TAB key.

        * `M-n P' in Sweave buffers now prompts for the command to run
          instead of using `pdflatex' unconditionally, offering
          completion from customizable collection
          `ess-swv-pdflatex-commands', the first of which is taken as
          default and that defaults to `texi2pdf'.

        * `M-RET' is now also bound in S language (R and S+) buffers to
          `ess-use-this-dir'. It sends `setwd(..)' to the S process to
          set the working directory to the one of the source file.

     Changes/New Features in 5.10:
        * `M-RET' in *S* buffers is now bound to `ess-dirs'.  This
          function will set Emacs's current directory to be the same as
          the *S* process.  This is useful if you use `setwd()' within
          a *S* process.

     Changes/New Features in 5.9:
        * Toolbar:  The toolbar now has an icon for starting Splus.

        * Indentation: New documentation and code has been added to
          make it easier to change how ESS indents code.  In
          particular, see `ess-default-style', `ess-own-style-list' and
          the documention subsection "Changing indentation styles".

        * `ess-display-help-on-object' (`C-c C-v') now offers
          completion candidates for help file aliases, in addition to
          object  names.

        * Font locking: is now turned on  even without `window-system'
          is `nil', whenever  ESS-FONT-LOCK-MODE is non-nil, i.e., by
          default.

        * ESS script editing: ess-eval-deactivate-mark default is now t,
          as suggested by Leo Alekseyev and subsequent "unanimous"
          ESS-help  discussion.

        * ESS[R]: Editing support for "#!" (Rscript / littler) editing,
          thanks to Jeffrey Arnold.

        * ESS[R]: Now finds all R versions, both 64-bit and 32-bit, on
          some  64-bit Windows machines.  Please report back to
          ess-core success or failure  on your 64-bit Windows machine.

        * ESS Manual now more visually pleasing;
          `http://ess.r-project.org/Manual/ess.html'

        * ESS[R]: Roxygen on XEmacs no longer font locks for now  (as
          it required missing features and hence broke ESS startup,
          there).

        * ESS[R]: Roxygen has a sub-menu on the [ESS] menu.

        * ESS[R]: Function `ess-rutils-htmldocs' in  `ess-rutils.el'
          offers an alternative to `help.start()' for  navigating R
          documentation, using the `browse-url' Emacs  function.

     Changes/New Features in 5.8:
        * ESS[R]: New `ess-rutils.el' with utilities for listing,
          loading, installing, and updating packages, as well as object
          manipulation (listing, viewing, and deleting).  It also
          provides an alternative to `RSiteSearch()' that uses the
          `browse-url' function, so results can be viewed in an Emacs
          web browser.

        * ESS[R]: much more extensive Roxygen interface, via ess-roxy.el
          from Henning Redestig. Ess-roxy supports filling of roxygen
          fields,  generation and updating roxygen templates,
          completion of roxygen tags,  basic navigation (marking and
          moving between entries), folding using  hs-minor-mode and
          preview of the Rd file.

        * Emacs lisp files have got better names (partly, for now).

     Changes/New Features in 5.7:
        * ESS[R]: loading a source file (`C-c C-l') now works in
          Windows, similarly to other platforms;  (further; it had
          accidentally been broken in ESS 5.6 on all platforms)

     Changes/New Features in 5.6:
        * ESS[R]: help() calls have to differ from old default, with
          newer  versions of R; currently via .help.ESS <-
          function(...) hack.

     Changes/New Features in 5.4:
        * ESS[SAS]: The long overdue change from `make-regexp' to
          `regexp-opt' for font-locking is complete.  The new
          `regexp-opt' is now the default since it is better than the
          old code in many ways (and especially more maintainable).
          However, there are certainly some special cases missed (bug
          reports and patches welcome!).  Setting
          `ess-sas-run-regexp-opt' to `nil' will result in the old code
          being used.

        * ESS[BUGS] and ESS[JAGS]: typing `=' now results in  `<-'.

        * ESS[R] function arguments "show" `(ess-r-args-show)' now
          uses the new `(tooltip-show-at-point)' contributed by Erik
          Iverson.

        * Toolbar icons now also work in (beta) Emacs 23.

        * ESS[S]: New function `ess-change-directory' for setting both
          emacs' current directory and the directory of an *R* or *S*
          buffer.

        * ESS[S] when transient-mark-mode is true, the mark is now kept,
          rather than deactivated, thanks to a patch from David Reitter.

     Changes/New Features in 5.3.11:
        * ESS[SAS]: work around bug in Emacs 22.2 & 22.3 which fails to
          set case-fold fontification automatically.

        * Rd mode: support new keyword 'Rdversion'

        * ESS[R]: now again works with Emacs 21.x

     Changes/New Features in 5.3.10:
        * Fixed noweb-mode bug accidentally introduced into 5.3.9

        * In noweb-mode, e.g., Rnw-mode, electric "<" also inserts
          closing "@".   Further, the code chunk boundaries are better
          kept up-to-date, such that  code[R] <-> text[LaTeX] minor
          mode switching should happen more reliably.

        * In noweb-mode, fix a buglet in rare [Enter] or [Tab]
          behavior; further,  by default disable the former `[[' ..
          `]]'  code-protection-when-filling  behavior which has been
          found to be buggy.

     Changes/New Features in 5.3.9:
        * ESS[SAS]: evince PDF viewer now supported as well; search
          order: evince, Xpdf, Adobe/Acrobat Reader

        * ESS[R]: added support for Roxygen, potentially to be extended.

        * ESS[S] (and R): inferior (`*R*') and transcript modes no
          longer fontify language keywords (such as `for', `in', etc).

        * iESS[Stata]: Customize the `ess-sta-delimiter-friendly'
          setting to `t' to convert embedded semi-colons to newlines
          for Stata processing.

        * Sweave fix for embedded blanks in PDF reader and PDF files

        * Several fixes for Major Mode Convention violations in
          `ess-mode' and `noweb-mode'.

        * ESS[JAGS]: `M-x comment-region' now available!

        * ESS[S] The `ess-swv-*' commands (and keybindings) are now in
          a submenu of the "Noweb" menu, when editing Sweave files.

     Changes/New Features in 5.3.8:
        * ESS[JAGS]: more separation from ESS[BUGS] (as much as is
          currently planned); now `C-c C-c' on an empty `.jmd' creates
          a template as it should; symbolic links are created for CODA
          output so BOA is happy: from `index.txt' to `.ind' and
          `chain#.txt' to `#.out'

        * ESS[SAS]: buffer-local `ess-sas-submit-command' and
          `ess-sas-submit-command-options' now recognized by
          `ess-sas-submit-region'

        * ESS[S]: When trying to evaluate code in an S language buffer
          and  there is no associated process, now start R
          automatically instead of  signalling an error.  Also, restart
          R if there is an associated process  which is not running.
          However, do not start R just via the "electric"  `('
          (`ess-r-args-auto-show').

        * ESS[S]: For (one-line) functions withOUT '{ .. }' bodys, the
          end  of function is now correctly found more often.  This
          notably improves  `C-c C-c'
          (`ess-eval-function-or-paragraph-and-step').

        * ESS[JAGS]: cleanup/re-organization of elisp code; symbolic
          links for CODA output are now only created by the new JAGS
          `system' command in version 1.0.3; specify whether this
          command is available via `ess-jags-system'; if not present,
          then no links are created so that the `*shell*' buffer does
          not become unresponsive during the batch run

     Changes/New Features in 5.3.7:
        * ESS: `ess-default-style' now *is* customizable, i.e.,
          changing its value in `~/.emacs' now does have the desired
          effect.

        * ESS: `ess-font-lock-mode' is a new variable (default: t)
          which controls whether font-locking is enabled in ESS buffers.

        * ESS[R]: for XEmacs on Windows; another tweak to find R
          versions

        * ESS[SAS]: font-locking updated for ODS and SAS Bayesian
          Procedures; a more consistent handling of SAS options by
          `ess-sas-submit-command-options' which is buffer-local;
          portable snooze for MS Windows via customize-able
          `ess-sleep-for' (floats welcome); Xpdf now supported as a PDF
          viewer

        * ESS[Rnw]: now also works with "emacs -nw" and Emacs 22.

        * ESS[JAGS]: now requires JAGS 1.0 (see the new ESS for JAGS
          help section for more information): both need work;
          suggestions welcome

        * ESS[R]: [TAB] completion now uses the R-internal completion
          mechanism (for R >= 2.5.0).

        * ESS[R] ([S]): interpretation of "_" as assignment has been
          removed in `ess-continued-statement-p' for R and S.

        * several internal code cleanups.

        * ESS[R]: An experimental version of a new command `Rgui' on MS
          Windows to send lines directly from emacs to `Rgui' is
          available in file `lisp/essd-rgui.el'.  Preliminary
          documentation is in file `doc/rgui-doc.txt'.

     Changes/New Features in 5.3.6:
        * ESS: for XEmacs, using "gnuclient" (without a "-q") works for
          things like fix() after M-x gnuserv-start has been done.

        * ESS[R]: M-x R-newest should now work in more situations on MS
          Windows, e.g., when R has been installed in a non-default
          "ProgramFiles"  directory tree.  In these cases, there's no
          need to specify the name (and  full path) of the R program
          anymore.

        * ESS[R]: For XEmacs, startup (with new tooltip code) works
          again.

     Changes/New Features in 5.3.5:
        * ESS[R] a new defun is available, `M-x R-newest', which will
          start the newest version of R that it can find on your system.

        * ESS[R] add Sven Hartenstein's "R function arguments tips"
          functionality, via new file `../lisp/essd-r-args.el'.   Note
          that this includes an "electric "("" behavior inside `R-mode'
          which is _active by default_ and can be customized via
          `ess-r-args-electric-paren'; i.e., use `(setq
          ess-r-args-electric-paren nil)' to turn it off.  Further,
          `ess-r-args-show-as' allows to switch to the "tooltip" mode.

        * ESS: functions `ess-get-pdf-viewer' and *-ps-viewer; built on
          new  customizable variables `ess-pdf-viewer-pref' and
          `ess-ps-viewer-pref'; currently used in `ess-swv-PDF' and
          `*-PS'.

        * ESS[R] Improved `ess-swv-PDF' to run pdf viewer only if
          pdflatex was ok

        * ESS[R] Improved `ess-swv-weave' to start R automatically if
          none is running.

        * ESS: Do no longer ask _which_ ESS process to use if there  is
          only one.

     Changes/New Features in 5.3.4:
        * ESS[R] now better work with options(error=recover); and the
          new default of CHM help files on windows.

        * ESS[R] some more cleanup in the "sweave" functions

        * miscellaneous fixes

     Changes/New Features in 5.3.3:
        * ESS[S] fix buglet (5.3.2 only) which left command prompt in
          "execute buffer" and hence help files.

        * new customizable variable `ess-display-buffer-reuse-frames'
          set to true (which changes default behavior) such that
          execution or help *frames* are reused.

     Changes/New Features in 5.3.2:
        * Classic BUGS now supported by `(require 'essd-bugs)' with
          ESS[BUGS]       and JAGS by `(require 'essd-jags)' with
          ESS[JAGS].  But, only one       of them can be used at a time
          since they don't play nice together.  Also,       `C-c C-c'
          is now bound to the function `ess-bugs-next-action'
          (`F12' has been retired).  And finally, note that
          `essl-bug.el'       is deprecated and the replacement is
          `essl-bugs.el'.

        * ESS[R] Improved some of the "Sweave-make"  functions (yet
          scarcely documented) in `ess-swv.el'.

        * ESS[S] No longer mess with .Last.value (nor in other
          "languages").

     Changes/New Features in 5.3.1:
        * See the docs for 2 ways to install ESS for XEmacs
            1. by uncommenting the XEmacs part of             Section 1
               of `Makeconf' and performing `make install'

            2. by unpacking either             `ess-5.3.1.tgz' or
               `ess-5.3.1.zip' into
               `PREFIX/lib/xemacs/site-packages' on unix or
               `PREFIX\XEmacs\site-packages' on windows

        * ESS[R]: fixed bugs so that Rterm.exe can be found by XEmacs

        * ESS[S]: `ess-toggle-S-assign-key' is slightly changed; in
          particular, the default `ess-assign-key' is now `C-x ='.

        * ESS[R]: `M-x R-site-search' is a new (slightly experimental)
          utility similar to R's `RSiteSearch(..)' but with the
          advantage of  using Emacs' preferred browser, see
          `browse-url-browser-function'

     Changes/New Features in 5.3.0:
        * ESS[BUGS]: sanely re-format statistical output, `.bog', from
          scientific notation to numbers rounded with 4 decimal places
          with `M-x ess-bugs-sci-round-to-4-dp'.

        * The keys for navigating among section headings in help buffers
          worked, but only for one language per session; they should
          now work for multiple languages.  (They were also broken on
          Windows machines.)

        * ESS[S] long standing buglets in the internal logic for loading
          lisp code on Windows.  Particularly fixed behavior in help
          mode with S-plus GUI.

        * New variable, `ess-use-inferior-program-name-in-buffer-name',
          which enables using the executable name instead of the
          dialect name for R. Feature request.

        * ESS[S] `ess-execute-screen-options' now also works correctly
          when there is more than one window *side-by-side* in the same
          frame and runs in the correct buffer also when there is more
          than one S buffer.

        * iESS[S] new functions `ess-eval-paragraph-and-step' and
          `ess-eval-function-or-paragraph-and-step' are bound to keys
          `C-c C-p' and `C-c C-c' respectively and to the menu in
          ESS-mode; also bound in the help mode (for evaluating
          examples).

        * ESS[S] new function `ess-toggle-S-assign-key' allows to
          assign the " <- " insertion to an arbitrary key.


